Subject: Re: Subclassing and a couple of other things
From: [email-masked] (Anders Norlander)

12 Aug 1998 05:21:07 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Simon Vilmer Pedersen <[email-masked]>
Cc: [email-masked]

Simon Vilmer Pedersen wrote:
> 
> Hi all.
> 
> I am experimenting a bit with window subclassing, in specific subclassing the window of the IRC program mIRC from another program. But I cannot seem to get it to work like in the SDK.
> First I get the hwnd of the window, with FindWindow("mIRC",NULL)
> and it returns the proper hwnd.
> But when I then call orgWinProc = (WNDPROC)SetWindowLong(hwnd,GWL_WINPROC,(LONG)WinProc)
> it returns NULL, and a test with GetWindowLong shows that the above command had no effect.
> But GetLastError returns 0. Anyone who can help me with this?

You cannot subclass a window in another process in WIN32.
This is because the processes have different address
spaces.

/Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".